public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
Search results ordered by [date|relevance]  view[summary|nested|Atom feed]
thread overview below | download mbox.gz: |
* [gentoo-commits] repo/gentoo:master commit in: mail-client/neomutt/
@ 2018-04-03 13:39 99% Nicolas Bock
  0 siblings, 0 replies; 1+ results
From: Nicolas Bock @ 2018-04-03 13:39 UTC (permalink / raw
  To: gentoo-commits

commit:     3444edbc3659ad58974e96d932efc6a83e5f2883
Author:     Nicolas Bock <nicolasbock <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  3 13:38:27 2018 +0000
Commit:     Nicolas Bock <nicolasbock <AT> gentoo <DOT> org>
CommitDate: Tue Apr  3 13:39:05 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3444edbc

mail-client/neomutt: Version bump neomutt-20180323

Closes: https://bugs.gentoo.org/651656
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 mail-client/neomutt/Manifest                |   1 +
 mail-client/neomutt/neomutt-20180323.ebuild | 140 ++++++++++++++++++++++++++++
 2 files changed, 141 insertions(+)

diff --git a/mail-client/neomutt/Manifest b/mail-client/neomutt/Manifest
index 477a606c217..baa000cbc29 100644
--- a/mail-client/neomutt/Manifest
+++ b/mail-client/neomutt/Manifest
@@ -1,3 +1,4 @@
 DIST neomutt-20171208.tar.gz 2703917 BLAKE2B 709cdb7b00e887f01bf6b1e805b25938ceca1a25d77c8674150e32ae4ac28aad10479ab54f172e2b07cab98b903973190faa138de1061ebbf4fcbe09d544ecf9 SHA512 e4f8a5f01d96d6f82959fe583634585deee28cf146c768e5049281b273c5b76b91ee01c9d9382a26f72a092c14341905129e73bf5c6ba19baae7823bc6680671
 DIST neomutt-20171215.tar.gz 2680191 BLAKE2B 9826537ed985cf56e4a52e0938967645ca607fcd57f455e1a521a67875bacc397e1706099291fe5a7a350542d0bc07b7835a908c64d84067fb12e39f973af545 SHA512 8098f537e8ef7d3f7aa87fc875c0dc079b996285b786fe6fc6bdf18154c1282b03a4e19dd6902a110616443ca2b23008c8c1f5c4a615c53b620b537c50dfb658
 DIST neomutt-20180223.tar.gz 2695087 BLAKE2B ebe19022dd23914dd3c529b49fac1b58cb965e8974b8cf2f7fd1f417cb9a3f0fcded951d5506092f90ad03b8fd209392143240b1d48560f9772242652a347817 SHA512 6fbbea9e182d087d8fe90094dfcbadaaca2878fa71e024e504999d1a54d853dcd346ea7aa32f421ed9dfdf90c42307f2796518dc43748805c4e36fd5755d4adc
+DIST neomutt-20180323.tar.gz 2650465 BLAKE2B 59f11208320e514119e60f6c85a876fed2693b9eae3127fc3fa5a35722a80dfd99b0c6b5a5074711d42b35d459e70f4dda3d29e7358e1d95d5d0d350438290d5 SHA512 997c697300768809823b8d8588c93003c6cd7fcc6cbe7ce524096033e91c618119f78c697ccd15b4c93751b3156d50e611974e8f8b332efb467c031385e9f819

diff --git a/mail-client/neomutt/neomutt-20180323.ebuild b/mail-client/neomutt/neomutt-20180323.ebuild
new file mode 100644
index 00000000000..f90289f77c0
--- /dev/null
+++ b/mail-client/neomutt/neomutt-20180323.ebuild
@@ -0,0 +1,140 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils flag-o-matic
+
+if [[ ${PV} =~ 9999$ ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/neomutt/neomutt.git"
+	EGIT_CHECKOUT_DIR="${WORKDIR}/neomutt-${P}"
+else
+	SRC_URI="https://github.com/${PN}/${PN}/archive/${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="A small but very powerful text-based mail client"
+HOMEPAGE="https://www.neomutt.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="berkdb crypt doc gdbm gnutls gpg gpgme idn kerberos kyotocabinet
+	libressl lmdb nls notmuch pgp_classic qdbm sasl selinux slang smime
+	smime_classic ssl tokyocabinet"
+
+CDEPEND="
+	app-misc/mime-types
+	berkdb? (
+		|| (
+			sys-libs/db:6.2
+			sys-libs/db:5.3
+			sys-libs/db:4.8
+		)
+		<sys-libs/db-6.3:=
+	)
+	gdbm? ( sys-libs/gdbm )
+	kyotocabinet? ( dev-db/kyotocabinet )
+	lmdb? ( dev-db/lmdb )
+	nls? ( virtual/libintl )
+	qdbm? ( dev-db/qdbm )
+	tokyocabinet? ( dev-db/tokyocabinet )
+	gnutls? ( >=net-libs/gnutls-1.0.17 )
+	gpg? ( >=app-crypt/gpgme-0.9.0 )
+	gpgme? ( >=app-crypt/gpgme-0.9.0 )
+	idn? ( net-dns/libidn )
+	kerberos? ( virtual/krb5 )
+	notmuch? ( net-mail/notmuch )
+	sasl? ( >=dev-libs/cyrus-sasl-2 )
+	!slang? ( sys-libs/ncurses:0 )
+	slang? ( sys-libs/slang )
+	ssl? (
+		!libressl? ( >=dev-libs/openssl-0.9.6:0 )
+		libressl? ( dev-libs/libressl )
+	)
+"
+DEPEND="${CDEPEND}
+	dev-lang/tcl
+	net-mail/mailbase
+	doc? (
+		dev-libs/libxml2
+		dev-libs/libxslt
+		app-text/docbook-xsl-stylesheets
+		|| ( www-client/lynx www-client/w3m www-client/elinks )
+	)"
+RDEPEND="${CDEPEND}
+	selinux? ( sec-policy/selinux-mutt )
+"
+
+S="${WORKDIR}/${PN}-${P}"
+
+src_configure() {
+	local myconf=(
+		"$(use_enable doc)"
+		"$(use_enable nls)"
+		"$(use_enable notmuch)"
+
+		# During the transition of the crypto USE flags we need to support
+		# both sets of flags. We do not want to emit a configuration setting
+		# twice, since the second flag overrides the first, potentially
+		# leading to unwanted settings. See https://bugs.gentoo.org/640824 for
+		# details.
+		"$(if use gpg || use gpgme; then echo "--enable"; else echo "--disable"; fi)-gpgme"
+		"$(if use crypt || use pgp_classic; then echo "--enable"; else echo "--disable"; fi)-pgp"
+		"$(if use smime || use smime_classic; then echo "--enable"; else echo "--disable"; fi)-smime"
+
+		# Database backends.
+		"$(use_enable berkdb bdb)"
+		"$(use_enable gdbm)"
+		"$(use_enable kyotocabinet)"
+		"$(use_enable qdbm)"
+		"$(use_enable tokyocabinet)"
+
+		"$(use_enable idn)"
+		"$(use_enable kerberos gss)"
+		"$(use_enable lmdb)"
+		"$(use_enable sasl)"
+		"--with-ui=$(usex slang slang ncurses)"
+		"--sysconfdir=${EPREFIX}/etc/${PN}"
+		"$(use_enable ssl)"
+		"$(use_enable gnutls)"
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	# A man-page is always handy, so fake one – here neomuttrc.5
+	# (neomutt.1 already exists)
+	if use !doc; then
+		sed -n '/^\(SRCDIR\|EXEEXT\|CC_FOR_BUILD\)\s*=/p;$a\\n' \
+			Makefile > doc/Makefile.fakedoc || die
+		sed -n '/^\(MAKEDOC_CPP\s*=\|doc\/\(makedoc$(EXEEXT)\|neomuttrc.man\):\)/,/^[[:blank:]]*$/p' \
+			doc/Makefile.autosetup >> doc/Makefile.fakedoc || die
+		emake -f doc/Makefile.fakedoc doc/neomuttrc.man
+		cp doc/neomuttrc.man doc/neomuttrc.5 || die
+		doman doc/neomutt.1 doc/neomuttrc.5
+	fi
+
+	dodoc COPYRIGHT LICENSE* ChangeLog* README*
+}
+
+pkg_postinst() {
+	if use crypt || use gpg || use smime; then
+		ewarn "Pleae note that the crypto related USE flags of neomutt have changed."
+		ewarn "(https://bugs.gentoo.org/637176)"
+		ewarn "crypt -> pgp_classic"
+		ewarn "gpg -> gpgme"
+		ewarn "smime -> smime_classic"
+		ewarn "The old USE flags still work but their use is deprecated and will"
+		ewarn "be removed in a future release."
+		if use gpg && ( use crypt || use smime ); then
+			ewarn "  Note that gpgme (old gpg) includes both pgp and smime"
+			ewarn "  support.  You can probably remove pgp_classic (old crypt)"
+			ewarn "  and smime_classic (old smime) from your USE-flags and"
+			ewarn "  only enable gpgme."
+		fi
+	fi
+}


^ permalink raw reply related	[relevance 99%]

Results 1-1 of 1 | reverse | options above
-- pct% links below jump to the message on this page, permalinks otherwise --
2018-04-03 13:39 99% [gentoo-commits] repo/gentoo:master commit in: mail-client/neomutt/ Nicolas Bock

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox